// swift-tools-version: 5.8
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
  name: "CodegenNamespacingOptional",
  platforms: [.macOS(.v10_15)],
  products: [
    // Products define the executables and libraries a package produces, making them visible to other packages.
    .library(
      name: "CodegenNamespacingOptional",
      targets: ["CodegenNamespacingOptional"]),
  ],
  dependencies: [
    .package(url: "https://github.com/apollographql/apollo-ios", from: "1.3.0"),
  ],
  targets: [
    // Targets are the basic building blocks of a package, defining a module or a test suite.
    // Targets can depend on other targets in this package and products from dependencies.
    .target(
      name: "CodegenNamespacingOptional",
      dependencies: [
        .product(name: "Apollo", package: "apollo-ios")]),
    .testTarget(
      name: "CodegenNamespacingOptionalTests",
      dependencies: ["CodegenNamespacingOptional"]),
  ]
)
